/* Example: reading data from a file */
/* We know the number of lines in the file */

#include <stdio.h>
#include <stdlib.h>

#define DATA "class.list"
#define CLASS 7

int main(void)
{
  FILE *pf;
  char surname[CLASS][20];
  char forename[CLASS][20];
  int mark[CLASS];
  int s;

  pf = fopen(DATA, "r");  /* open file to read */
  if (pf == NULL)
  {
    fprintf(stderr, "Error: couldn't open file %s\n", DATA);
    exit(EXIT_FAILURE);
  }

  /* read data from the file: */
  
  for (s = 0; s < 7; s++)
    fscanf(pf, "%s %s %i", &surname[s], &forename[s], &mark[s]);
  
  fclose(pf);
  
  /* print data to stdout: */
  
  for (s = 0; s < 7; s++)
  {
    printf("%s ", forename[s]);
    printf("%s ", surname[s]);
    printf("got %i%%\n", mark[s]);
  }

  return EXIT_SUCCESS;
}
